package journal.filter;

import journal.action.Action;
import journal.action.BaseAction;
import journal.reader.DataJournalEntry;
import journal.reader.TransactionJournalEntry;

public abstract class BaseFilter extends BaseAction implements Filter 
{
	@Override
	public void setAction(Action action) {
		nextAction = action;
	}

	@Override
	public String[] parseArgs(String[] args) {
		return nextAction.parseArgs(args);
	}

	@Override 
	public void start() throws Exception {
		nextAction.start();
	}
	
	@Override 
	public void help() {
		nextAction.help();
	}
	
	@Override 
	public void finish() throws Exception  {
		nextAction.finish();
	}
	
	@Override 
	public void putValue(DataJournalEntry entry) throws Exception {
		nextAction.putValue(entry);
	}

	@Override 
	public void replaceValue(DataJournalEntry entry) throws Exception {
		nextAction.replaceValue(entry);
	}

	@Override 
	public void deleteValue(DataJournalEntry entry) throws Exception {
		nextAction.deleteValue(entry);
	}

	@Override 
	public void verifyValue(DataJournalEntry entry) throws Exception {
		nextAction.verifyValue(entry);
	}

	@Override 
	public void commitMarker(TransactionJournalEntry entry) throws Exception {
		nextAction.commitMarker(entry);
	}

	@Override 
	public void flushMarker(TransactionJournalEntry entry) throws Exception {
		nextAction.flushMarker(entry);
	}

	protected Action nextAction;
}
